@import "./deeppurple-amber.css";

/* Main top stripe */
.header_main {
	background-color: #022e4f;
}

.progress-bar .mat-progress-bar-fill::after {
	background-color: #022e4f;
}

/* Product name */
.header_title {
	color: #ffffff;
}

/* Index name */
.header_index {
	color: #ffffff;
	background-color: transparent;
}

/* Index name dropdown */
.b-index-settings__button__container .corner > .corner-icon {
	color: #ffffff;
}

.b-index-settings__button__container .corner:hover,
.b-index-settings__button__container .corner.opened {
	background-color: rgba(31, 81, 127, 0.4);
}

/* Index info button */
.b-index-settings__info_button {
	color: #ffffff;
}

/* User name */
.header_user {
	background-color: #1f517f;
	color: #ffffff;
}

/* Language name */
.header_language {
	background-color: #0d4063;
}

/* Language name color */
.header_language_name {
	color: #cfd8dc;
}

.header_language_name:hover,
.header_language_name.opened {
	color: #ffffff;
}

/* Dropdown list (common for indexes and languages) */
.dropdown-list {
	background-color: #ffffff !important;
}

/* Dropdown list item */
.dropdown-list__item {
	color: #424650 !important;
}

.dropdown-list__item:hover {
	background-color: rgba(74, 142, 224, 0.1) !important;
}

/* Dropdown list selected item mark */
.dropdown-list__selectedItem {
	color: #33aa79 !important;
}

/* Filters title */
.filters_title {
	color: #424650;
	background-color: transparent;
}

/* Clear all filters button */
.b-filters__clear-all {
	color: #636f79;
}

.b-filters__clear-all:hover {
	color: #424650;
}

/* Filter name */
.filters_filter_name,
.corner_filter {
	color: #636f79;
}

.filters_filter_name:hover,
.corner_filter:hover {
	color: #424650;
}

/* Selected filter name */
.filters_filter_name.selected {
	color: #636f79;
}
.selected__icon {
	color: #c60c30;
}

/* Clear filter button */
.b-filter-view__headers .clear {
	color: #4a8ee0;
}

.b-filter-view__headers .clear:hover {
	color: #3572dd;
}

/* Filter value */
.filters_filter_value {
	color: #424650;
}

/* Selected filter value */
.selected-values .filters_filter_value {
	color: #424650;
}

/* Clear filter value button */
.item-icon {
	color: #636f79;
}

/* Filter list item */
.list:hover {
	background-color: rgba(74, 142, 224, 0.1);
}

/* Filter value count */
.filters_value_count {
	color: #768693;
}

/* Common checkbox */
.checkbox-icon {
	color: #636f79;
}

/* Checked checkbox */
.checkbox-icon__checked {
	color: #636f79;
}

/* Checkbox title */
.checkbox-title {
	color: #424650;
}

/* Checkbox hover layer */
.checkbox:hover .checkbox-icon__hover {
	background-color: rgba(74, 142, 224, 0.1);
}

/* Filter range box */
.filters_range_box_border {
	border-color: #cfd8dc;
}

.filters_range_box_border:hover {
	border-color: #afbcc6;
}

.filters_range_box_border.focused {
	border-color: #afbcc6;
}

/* Filter range value */
.input-filter-value-range {
	color: #424650;
}

/* Filter range value placeholder */
.input-filter-value-range::placeholder {
	color: #afbcc6;
}

/* Filter range value placeholder for Internet Explorer */
.input-filter-value-range:-ms-input-placeholder {
	color: #afbcc6;
}

/* Range filter dash */
.dash {
	color: #424650;
}

/* Filter value changed indicator */
.changed__icon {
	color: #c60c30;
}

/* Apply filter button */
.apply-btn {
	background-color: #eef2f4;
}

.apply-btn:focus {
	outline: white auto 0;
}

.apply-btn .apply-btn-title {
	color: #afbcc6;
}

.apply-btn.active {
	border: solid 1px #4a8ee0;
	background-color: #ffffff;
}

.apply-btn.active .apply-btn-title {
	color: #4a8ee0;
}

.apply-btn.active:hover {
	background-color: #f9fbfc;
}

/* "Show more" placeholder */
.filter-show-more::placeholder {
	color: #4a8ee0;
}

/* "Show more" placeholder for Internet Explorer */
.filter-show-more:-ms-input-placeholder,
.search-input__content label {
	color: #4a8ee0;
}

/* Filter search list */
.filter-search-list {
	background-color: #ffffff;
	border: solid 1px #cfd8dc;
}

/* Filter search list item */
.filter-search-list .list-item {
	color: #424650;
}

/* Filter search list selected item */
.filter-search-list .list-item__selected {
	color: #33aa79;
}

/* Filter search list item values count */
.filter-search-list .list-item__count {
	color: rgb(118, 134, 147);
}

/* Filter search list no results */
.filter-search-list .noResult {
	color: #424650;
}

/* Search bar border */
.search_bar {
	border-color: #cfd8dc;
}

/* Search bar */
.search_bar_input,
.search-bar__container {
	background-color: #ffffff;
	color: #424650;
}

/* Search bar placeholder */
.search_bar_input::placeholder {
	color: #768693;
}

/* Search bar placeholder for Internet Explorer */
.search_bar_input:-ms-input-placeholder {
	color: #768693;
}

/* Search bar button */
.search_bar_find_button {
	background-color: #c60c30;
	color: #ffffff;
}

.search_bar_find_button:hover {
	background-color: #c60c30;
}

/* Search bar shadow */
.search_bar_host {
	box-shadow: 0 1px 4px 0 #cfd8dc;
}

/* Search bar cross */
.search-bar__clear,
.search-bar__subscribe {
	color: #768693;
}

.search-bar__clear:hover,
.search-bar__subscribe:hover {
	color: #424650;
}

/* Search waiting message */
.b-spinner__waiting_string {
	color: #c60c30;
}

.b-spinner-icon {
	border: 4px solid;
	border-color: #c60c30;
	border-top-color: transparent;
}

.b-loaded-spinner__waiting_string {
	color: #c60c30;
}

.b-loaded-spinner-icon {
	border: 4px solid;
	border-color: #c60c30;
	border-top-color: transparent;
}

/* Results pane */
.results {
	background-color: transparent;
}

/* Results header */
.results_header {
	color: #768693;
}

/* Results document title */
.results_doc_title {
	color: #424650;
}

.mat-table .results_doc_title,
.mat-table .b-docAttrField__value,
.mat-table .b-docTitleField__text em {
	font-size: 14px !important;
}

.mat-table .b-docTitleField__corner {
	padding-top: 0 !important;
	padding-bottom: 0 !important;
}

/* Results snippets */
.results_doc_snippet{
	color: #424650;
}

.hl_link {
	cursor: pointer;
	color: #4a8ee0;
	text-decoration: auto;
}
.hl_link:hover {
	text-decoration: underline;
}

/* Results attributes */
.results_doc_attributes {
	color: #768693;
}

/* Results link */
.results_doc_attributes_link {
	color: #617a91;
}

/* Results hovered link */
.results_doc_attributes_link:hover {
	color: #424650;
}

/* No results icon */
.b-warning-error__icon {
	color: #ff6c2c;
}

/* No results message */
.b-warning-error__message {
	color: #424650;
}

/* Critial error icon */
.b-critical-error__icon {
	color: #c60c30;
}

/* Critical error message */
.b-critical-error__message {
	color: #424650;
}

/* Footer stripe */
.footer {
	background-color: #1f517f;
}

/* Footer page number */
.footer_page_number {
	color: #cfd8dc;
}

/* Footer active page number */
.footer_page_number.selected {
	color: #ffffff;
	background-color: #0d4063;
}

.footer_page_number.isClicked:hover {
	background-color: #0d4063;
	color: #ffffff;
}

/* Triangle over selected page */
.page__icon {
	border-color: #fcfcfc transparent transparent transparent;
}

/* Index info panel */
.b-index-info-panel {
	background-color: #ffffff;
}

/* Index info panel close button */
.b-index-info-panel__close {
	color: #636f79;
}

.b-index-info-panel__close:hover {
	color: #424650;
}

/* Index info panel common tab */
.index-settings__common {
	color: #424650;
}

/* Index info panel fields tab */
.index-settings__fields {
	color: #636f79;
}

/* Index info panel table cell */
.b-index-info-panel td {
	color: #424650;
}

/* Index info panel table value cell */
.b-index-info-panel td.value {
	color: #768693;
}

/* Index info panel default cell value */
.b-index-info-panel td.default {
	color: #cfd8dc;
}

/* Index info panel table header container */
.b-index-info-panel .table-header__container {
	background-color: #f9fbfc;
	border-bottom: solid 1px #cfd8dc;
}

/* Index info panel table header */
.b-index-info-panel .table-header {
	color: #afbcc6;
}

/* Index info panel table scroll */
.b-index-info-panel .table-container__scroll {
	color: #636f79;
}

/* Common tab title */
.tab__title {
	color: #4a8ee0;
	border-bottom: solid 2px #4a8de044;
}

.tab__title.selected,
.tab__title:hover {
	color: #424650;
}
.tab__title.selected {
	border-bottom: solid 2px #424650;
}

/* Common progress bar */
.progress {
	background-color: #ffffff;
}

/* Common progress bar filling */
.bar {
	background-color: #4a8ee0;
}

/* Scrollbar thumb */
.mCSB_dragger_bar {
	background-color: #afbcc6;
}

.mCSB_dragger_bar:hover {
	background-color: #768693;
}

/* Calendar dialog */
.b-datepicker-calendar-container {
	background-color: #ffffff;
	border: solid 1px #cfd8dc;
}

/* Calendar header */
.b-datepicker-calendar__header {
	border-bottom: solid 1px #cfd8dc;
}

.b-datepicker__header-title {
	color: #c60c30;
}

/* Calendar header buttons */
.b-datepicker__icons {
	color: #c60c30;
}

.b-datepicker__icons:hover {
	background-color: rgba(74, 142, 224, 0.1);
}

.b-datepicker__icons.left.disabled,
.b-datepicker__icons.right.disabled {
	color: #afbcc6;
}

.b-datepicker__icons.left.disabled:hover,
.b-datepicker__icons.right.disabled:hover {
	color: #afbcc6;
	background-color: #ffffff;
}

/* Calendar footer */
.b-datepicker-calendar__footer {
	border-top: solid 1px #cfd8dc;
	color: #4a8ee0;
}

/* Calendar days names */
.b-datepicker-calendar__content .b-datepicker-calendar__day-names {
	color: #768693;
}

/* Calendar days */
.b-datepicker-calendar__days {
	color: #424650;
}

.b-datepicker-calendar__days .day.is-prev-month {
	color: #afbcc6;
}

.b-datepicker-calendar__days .day:hover {
	background-color: rgba(74, 142, 224, 0.1);
}

.b-datepicker-calendar__days .day.is-today {
	border: solid 1px #afbcc6;
}

.b-datepicker-calendar__days .day.is-selected {
	background-color: #c60c30;
	color: #ffffff;
}

.b-datepicker-calendar__days .day.is-disabled:hover {
	background-color: initial;
}

/* Copyright dialog */
.b-copyright__content {
	background-color: #ffffff;
}

/* Copyright dialog header */
.b-copyright__content .header__text {
	color: #424650;
}

/* Copyright dialog body */
.b-copyright__content .body-text {
	color: #424650;
}

/* Copyright dialog close button */
.b-copyright__content .button {
	background-color: #4a8ee0;
}

/* Copyright dialog close button text */
.b-copyright__content .button__text {
	color: #ffffff;
}

/* Document preview header */
.preview {
	background-color: transparent;
	color: #cfd8dc;
}

/* Document preview header button */
.preview .btn:hover {
	color: #ffffff;
}

/* Document preview header icons */
.preview .arrow {
	fill: #cfd8dc;
}

.preview .btn:hover,
.preview .btn:hover .arrow {
	fill: #ffffff;
}

/* Document preview query title */
.preview_right_panel_title {
	color: #cfd8dc;
	border-bottom-color: #cfd8dc;
}

/* Document preview query */
.preview_right_panel_query {
	color: #424650;
}

/* Document preview title */
.preview_doc_title {
	color: #424650;
}

/* Document preview section title */
.preview_section_name {
	color: #424650;
}

/* Document preview field name */
.preview_field_name {
	color: #768693;
}

/* Document preview field value */
.preview_field_value {
	color: #424650;
}

/* Highlighted value */
.b-section-field__value em {
	background-color: #ffe7a6;
}

.b-section-field__value em.selected {
	background-color: transparent;
	outline: 2px solid #ffab40;
}

/* Triangle find simular*/
.b-docTitleField__corner {
	color: #424650;
}

.b-docTitleField__corner:hover {
	color: #424650;
}

/*Tag view*/
.search-bar-tag {
	color: #022e4f;
	background-color: transparent;
	border-color: #022e4f;
}

/*Syb-sections*/
.sub-table-headers {
	color: #768693;
}

.sub-link {
	color: #4a8ee0;
}

.sub-title-arrow {
	color: #636f79;
}
.sub-title-name {
	color: #636f79;
}
.sub-table-row {
	color: #424650;
}

.b-result-active {
	border-color: #4a8ee0;
}

.pr-empty {
	color: #afbcc6;
}

.b-footer__user,
.b-footer__user a,
.pr-footer-btn {
	color: #afbcc6;
}

.pr-footer-btn-active {
	background-color: #0d4063;
	color: #f9fbfc;
}
.b-footer__user a:active,
.pr-footer-btn:active {
	color: #f9fbfc;
}
.pr-footer-btn:active {
	background-color: #0d4063;
}

.pr-action-btn{
	color: #4a8ee0;
}
